{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = PARAM_ORDRE; }; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_char(fannKey)"; 
            externalType = VARCHAR2; 
            name = fannKeyChar; 
            valueClassName = NSString; 
            width = 4; 
        }
    ); 
    attributesUsedForLocking = (fannKey); 
    className = EOGenericRecord; 
    classProperties = (fannKey, fannKeyChar); 
    externalName = SCOLARITE.SCOL_FORMATION_ANNEE; 
    fetchSpecificationDictionary = {}; 
    name = ScolariteAnnee; 
    primaryKeyAttributes = (fannKey); 
}
